org.wildfly.swarm.config.datasources.xa_data_source

## Class XADatasourceProperties<T extends XADatasourceProperties<T>>

- java.lang.Object
- - org.wildfly.swarm.config.datasources.xa_data_source.XADatasourceProperties<T>

-     public class XADatasourceProperties<T extends XADatasourceProperties<T>>
      extends Object

  List of xa-datasource-property

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XADatasourceProperties(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `value()` Specifies a property value to assign to the XADataSource implementation class.
    `T` | `value(String value)` Specifies a property value to assign to the XADataSource implementation class.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XADatasourceProperties

          public XADatasourceProperties(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### value

          public String value()

      Specifies a property value to assign to the XADataSource implementation class. Each property is identified by the name attribute and the property value is given by the xa-datasource-property element content. The property is mapped onto the XADataSource implementation by looking for a JavaBeans style getter method for the property name. If found, the value of the property is set using the JavaBeans setter with the element text translated to the true property type using the java.beans.PropertyEditor

    - #### value

          public T value(String value)

      Specifies a property value to assign to the XADataSource implementation class. Each property is identified by the name attribute and the property value is given by the xa-datasource-property element content. The property is mapped onto the XADataSource implementation by looking for a JavaBeans style getter method for the property name. If found, the value of the property is set using the JavaBeans setter with the element text translated to the true property type using the java.beans.PropertyEditor

Copyright © 2018 JBoss by Red Hat. All rights reserved.